Organization - Retrieve
curl --request GET \
--url https://api.sandbox.pesaswap.io/organization/{id} \
--header 'api-key: <api-key>'const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.sandbox.pesaswap.io/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sandbox.pesaswap.io/organization/{id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pesaswap.io/organization/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organization_id": "org_q98uSGAYbjEwqs0mJwnz",
"modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"organization_name": "<string>",
"organization_details": {},
"metadata": {}
}Organization
Organization - Retrieve
Retrieve an existing organization
GET
/
organization
/
{id}
Organization - Retrieve
curl --request GET \
--url https://api.sandbox.pesaswap.io/organization/{id} \
--header 'api-key: <api-key>'const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.sandbox.pesaswap.io/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sandbox.pesaswap.io/organization/{id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pesaswap.io/organization/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organization_id": "org_q98uSGAYbjEwqs0mJwnz",
"modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"organization_name": "<string>",
"organization_details": {},
"metadata": {}
}Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the Organization
Response
Organization Created
The unique identifier for the Organization
Required string length:
1 - 64Example:
"org_q98uSGAYbjEwqs0mJwnz"
Name of the Organization
Details about the organization
Metadata is useful for storing additional, unstructured information on an object.